#
# $Id: s.empty_plugin.pm 1.18 03/08/25 17:33:18+02:00 robert@zaron.debian.pl $
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License Version 2 as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
#  USA.
#
# This file is part of adduser-ng program.
# 
# Description:
#
#       This is an empty plugin. This is a good place to start working on
#       a new plugin. Just cp example_plugin.pm to your_plugin.pm and start
#       writint. See other AddUser-NG plugins for examples.
#
# Copyright (C) 2003 Bartosz Oler <liar@bzimage.us>
# Copyright (C) 2003 Robert Olejnik <robert@zaron.debian.pl>
#

package AddUser::plugins::empty_plugin;

use strict;
use AddUser::StdLib;

my $_PLUGIN = 'empty_plugin';
my $_APIVERSION = 0x1;


sub new {
	my ($c, %args) = @_;
	my $class = ref($c) || $c;

	$args{opts} = {
                        '' => ''
                        };

        $args{APIVERSION} = $_APIVERSION;
        $args{NAME} = $_PLUGIN;

	bless \%args, $class;
}



#
# this is the configuration part for the plugin
#

sub configure {
	my $self     = shift;
        my $conf     = $self->{plugins_options}{GroupConfig};
        my $ui       = $self->{plugins_options}{UI};
        my $verbose  = $self->{plugins_options}{verbose};
        my $keywords = $self->{plugins_options}{keywords};
	my $docs     = &get_documentation($self->{plugins_options}{documentation_dir}, $_PLUGIN);

	$self->{plugins_options}{docs} = $docs->{options}{option};

        # ... code :)

	return $ERRNO{'OK'};
}



#
# when the plugin is configured, it can do the main part: execute
#

sub execute {
	my $self     = shift;
        my $conf     = $self->{plugins_options}{GroupConfig};
        my $ui       = $self->{plugins_options}{UI};
        my $verbose  = $self->{plugins_options}{verbose};
        my $keywords = $self->{plugins_options}{keywords};

        # ... code :)

	return $ERRNO{'OK'};
}



#
# if something goes wrong during the execution, we can rollback the changes.
#

sub rollback {
	my $self    = shift;
        my $conf    = $self->{plugins_options}{GroupConfig};
        my $ui      = $self->{plugins_options}{UI};
        my $verbose = $self->{plugins_options}{verbose};

        # ... code :)

	return $ERRNO{'OK'};
}
# }}}

1;
